Public Member Functions
OGLLight Class Reference

## Detailed Description

The OGLLight object represents the OGL light properties of a Light object.

Note:
  The behavior of this object changed in Softimage 2013. Previously, OGLLight was being re-evaluated for each data request. As of Softimage 2013, a snapshot of the OGLLight parameters is taken when calling Light.GetOGLLight(). This means that Light.GetOGLLight() needs to be called again when parameters affecting the OGLLight are modified.

OGLLight objects are read-only.

See also:
  Light

Example:

            using namespace XSI;
            Application app;
            Model root = app.GetActiveSceneRoot();

            Light myLight;
            root.AddLight( L"Spot", false, L"", myLight);

            OGLLight myOGLLight(myLight.GetOGLLight());

            app.LogMessage( L"The light is of type : " + myOGLLight.GetType() );

`#include <xsi_ogllight.h>`

Inheritance diagram for OGLLight:
[legend]

List of all members.

## Public Member Functions
| OGLLight ()
| ~OGLLight ()
| OGLLight (const CRef &in_ref)
| OGLLight (const OGLLight &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
OGLLight & | operator= (const OGLLight &in_obj)
OGLLight & | operator= (const CRef &in_ref)
siLightType | GetType () const
CColor | GetColor () const
MATH::CVector3 | GetLightPosition () const
MATH::CVector3 | GetLightInterestPosition () const
double | GetConeAngle () const

## Constructor & Destructor Documentation

OGLLight | ( |  | ) |

Default constructor.

~OGLLight | ( |  | ) |

Default destructor.

OGLLight | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

OGLLight | ( | const OGLLight & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from CBase.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Implements CBase.

OGLLight& operator= | ( | const OGLLight & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new OGLLight object.

OGLLight& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new OGLLight object.

siLightType GetType | ( |  | ) | const

Returns the type of light.

Returns:
  The type of light.

CColor GetColor | ( |  | ) | const

Returns the color for this light.

Returns:
  The color of the light.

MATH::CVector3 GetLightPosition | ( |  | ) | const

Returns the vector position of the light.

Returns:
  The vector position of the light.

MATH::CVector3 GetLightInterestPosition | ( |  | ) | const

Returns the interest vector position of the light.

Returns:
  The interest position vector of the light.

double GetConeAngle | ( |  | ) | const

Returns the cone angle for a spot light.

Returns:
  The cone angle for a spot light.

The documentation for this class was generated from the following file:

- xsi_ogllight.h